Retrieves all the contacts
Request Information
URI Parameters :
None.
Body Parameters :
None.
Response Information
Resource Description :
IHttpActionResult
contact| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary key |
globally unique identifier |
Required |
| firstname |
Firstname of the contact |
string |
Max length: 50 |
| lastname |
Lastname of the contact. If you have one single field available for firstname+lastname then use Lastname |
string |
Required Max length: 50 |
| company_id |
Company of the contact |
globally unique identifier |
Optionally required : company_id,company_code or company must be provided |
| company_code |
Embedded entity "company" using ERP PK when adding/updating contact |
string |
Optionally required : company_id,company_code or company must be provided |
| company |
Embedded entity "company" when adding/updating contact |
company |
Optionally required : company_id,company_code or company must be provided |
| db_language_id |
Language of the contact.If empty, will use the default on the system |
globally unique identifier | |
| db_language_code |
Language code entity using international isocode when adding/updating contact |
string | |
| db_title_id |
The title of the contact |
globally unique identifier | |
| archived |
Archive this contact to not have it anymore on the search |
boolean | |
| functions |
Function of the contact (ServiceManager,...) |
string |
Max length: 64 |
| e_login |
Login of the contact (if have access to ServiceDesk) |
string |
Max length: 50 |
| e_password |
Password in clear text of the contact (if have access to ServiceDesk) |
string |
Max length: 50 |
| notes |
Notes/Remark field |
string | |
| birthdate |
Birthday date |
date | |
| create_date |
Creation date+time |
date | |
| phone |
Phone number of the contact |
string |
Max length: 50 |
| mobile |
a number of the contact |
string |
Max length: 50 |
|
|
string |
Max length: 250 |
|
| skype |
skype |
string |
Max length: 250 |
| private_phone |
Private phone number of the contact |
string |
Max length: 50 |
| private_mobile |
Private mobile number of the contact |
string |
Max length: 50 |
| private_email |
Private email |
string |
Max length: 250 |
| reference_back_office |
Field used for Embedded entity (store there your ERP PK) |
string |
Max length: 50 |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date |
Response Formats
application/json, text/json
{
"id": "2060951d-9402-4b5c-9974-2b502e53b8ad",
"firstname": "sample string 2",
"lastname": "sample string 3",
"company_id": "dff00467-20b1-424a-8b39-97542e09fd8f",
"company_code": "sample string 5",
"company": {
"id": "a350e449-ca1f-4045-929f-bc84844b4e95",
"is_client": true,
"is_supplier": true,
"archived": true,
"name": "sample string 5",
"notes": "sample string 6",
"create_date": "2026-03-12T10:13:02.7351536+00:00",
"sales_territory_id": "2b3ec811-cfb7-4145-98a6-4b57f7706e2a",
"sales_territory_code": "sample string 9",
"sales_territory": {
"id": "92da8e6e-f392-43fd-aad3-7df63cdb20be",
"code": "sample string 2",
"description": "sample string 3",
"sales_organization_id": "4d5d4073-d362-41ff-912f-c00623e6a4a1",
"sales_organization_code": "sample string 5",
"sales_organization": {
"id": "3a0bc8cb-65c7-4298-8e06-b6b4d65339c7",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "47cd0450-15f6-4c96-92ce-c1502ce8f23e",
"db_currency_id": "fd05e04f-47f6-444c-a2f2-55c97ae80fe3",
"db_language_id": "b4ea0b40-671b-48a3-a8ea-3a5f84cde017",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-03-12T10:13:02.7351536+00:00"
},
"modified_dateutc": "2026-03-12T10:13:02.7351536+00:00"
},
"marketing_segment_id": "00881510-44d7-470f-9302-1314bb249177",
"marketing_segment_code": "sample string 11",
"sales_organization_id": "d2c2385a-b134-42a2-b756-c9fb93b5a361",
"sales_organization_code": "sample string 13",
"company_sales_status_code": "sample string 14",
"vat_reg_code": "sample string 15",
"is_working_address": true,
"parent_id": "845ec5da-15bd-426e-bd43-4e7fecc26ec6",
"parent_company_code": "sample string 18",
"phone": "sample string 19",
"fax": "sample string 20",
"url": "sample string 21",
"email": "sample string 22",
"street": "sample string 23",
"street_number": "sample string 24",
"city": "sample string 25",
"zip": "sample string 26",
"db_country_id": "32534108-fbdf-4e77-a988-ab9c8cacefe2",
"db_country_code": "sample string 28",
"feelist_id": "f1310eab-13b5-4412-a3bc-0e883418e26a",
"feelist_reference_back_office": "sample string 30",
"feelist": {
"id": "d968eac4-e036-4580-aebd-94652570c11b",
"name": "sample string 2",
"description": "sample string 3",
"is_default": true,
"default_price": 1.0,
"sales_organization_id": "530afa41-2520-4f1c-9c18-0fb79f0c5d5e",
"sales_organization_code": "sample string 6",
"reference_back_office": "sample string 7",
"modified_dateutc": "2026-03-12T10:13:02.7351536+00:00",
"db_currency_id": "02be95db-ea05-4556-bafe-48200e57988e",
"db_currency_code": "sample string 10"
},
"company_type_id": "857007bf-c26b-48c1-9f3d-c0dd35b87b69",
"company_type_name": "sample string 32",
"company_type": {
"id": "3d7d1363-4de3-4330-9236-9d02b0806cb3",
"name": "sample string 2",
"description": "sample string 3",
"sales_organization_id": "070d17f3-ad4c-4776-b6e3-13164d366345",
"sales_organization_code": "sample string 5"
},
"db_language_id": "9d5e8e29-4b21-4db7-a84a-3c2caf0b044c",
"db_language_code": "sample string 34",
"code": "sample string 35",
"article_price_label_id": "d5ae3a48-a7e3-4de1-a19d-32098443272d",
"article_price_label_code": "sample string 37",
"db_payment_method_id": "b40c297c-81d9-46e8-bfbc-0c0017f46628",
"db_payment_method_reference_back_office": "sample string 39",
"db_payment_methods": {
"id": "5cc8cd27-9a5e-4098-b627-4ffa244493a6",
"name": "sample string 2",
"description": "sample string 3",
"reference_back_office": "sample string 4",
"activated": true,
"modified_dateutc": "2026-03-12T10:13:02.7351536+00:00"
},
"company_sector_id": "d27c5a85-d0a1-4127-afe8-4b908dab0741",
"company_sector_code": "sample string 41",
"is_lead": true,
"is_subcontractor": true,
"latitude": 1.0,
"longitude": 1.0,
"street2": "sample string 44",
"bic_code": "sample string 45",
"specialities": "sample string 46",
"register_number": "sample string 47",
"register_city": "sample string 48",
"bankaccount": "sample string 49",
"mobile": "sample string 50",
"service_manager_user_id": "fb2389b6-f19f-459a-904a-6521afe52684",
"service_manager_user_code": "sample string 52",
"finance_manager_user_id": "2ecd6993-4251-46ce-83fd-1006505d3140",
"finance_manager_user_code": "sample string 54",
"account_manager_user_id": "569b94c2-4e61-44c3-9d0b-4a2e7c44d935",
"account_manager_user_code": "sample string 56",
"company_status_id": "23bd9fb4-e44e-4c41-9a7e-46ec4703794a",
"invoice_email_to": "sample string 58",
"modified_dateutc": "2026-03-12T10:13:02.7351536+00:00",
"id2": 60
},
"db_language_id": "18de125a-aa27-4fe6-98be-57f30ea22eb6",
"db_language_code": "sample string 7",
"db_title_id": "128ad38d-b4c6-48ef-8620-d3fa5eb069eb",
"archived": true,
"functions": "sample string 10",
"e_login": "sample string 11",
"e_password": "sample string 12",
"notes": "sample string 13",
"birthdate": "2026-03-12T10:13:02.7351536+00:00",
"create_date": "2026-03-12T10:13:02.7351536+00:00",
"phone": "sample string 16",
"mobile": "sample string 17",
"email": "sample string 18",
"skype": "sample string 19",
"private_phone": "sample string 20",
"private_mobile": "sample string 21",
"private_email": "sample string 22",
"reference_back_office": "sample string 23",
"modified_dateutc": "2026-03-12T10:13:02.7351536+00:00"
}